Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class Posology

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.Posology

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:10:03+02:00",
               comments="JAXB RI v2.2.6")
    public class Posology

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <sequence>
               <element name="low" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
               <element name="high" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}administrationunitType"/>
               <element name="takes">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="low" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
                         <element name="high" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Posology()`

Method Summary
`BigDecimal` | `getHigh()` Gets the value of the high property.
`BigDecimal` | `getLow()` Gets the value of the low property.
`Takes` | `getTakes()` Gets the value of the takes property.
`TextType` | `getText()` Gets the value of the text property.
`AdministrationunitType` | `getUnit()` Gets the value of the unit property.
`void` | `setHigh(BigDecimal value)` Sets the value of the high property.
`void` | `setLow(BigDecimal value)` Sets the value of the low property.
`void` | `setTakes(Takes value)` Sets the value of the takes property.
`void` | `setText(TextType value)` Sets the value of the text property.
`void` | `setUnit(AdministrationunitType value)` Sets the value of the unit property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Posology

    public Posology()

Method Detail

### getText

    public TextType getText()

  Gets the value of the text property.

  Returns:
    possible object is `TextType`

### setText

    public void setText(TextType value)

  Sets the value of the text property.

  Parameters:
    `value` - allowed object is `TextType`

### getLow

    public BigDecimal getLow()

  Gets the value of the low property.

  Returns:
    possible object is `BigDecimal`

### setLow

    public void setLow(BigDecimal value)

  Sets the value of the low property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getHigh

    public BigDecimal getHigh()

  Gets the value of the high property.

  Returns:
    possible object is `BigDecimal`

### setHigh

    public void setHigh(BigDecimal value)

  Sets the value of the high property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getUnit

    public AdministrationunitType getUnit()

  Gets the value of the unit property.

  Returns:
    possible object is `AdministrationunitType`

### setUnit

    public void setUnit(AdministrationunitType value)

  Sets the value of the unit property.

  Parameters:
    `value` - allowed object is `AdministrationunitType`

### getTakes

    public Takes getTakes()

  Gets the value of the takes property.

  Returns:
    possible object is `Takes`

### setTakes

    public void setTakes(Takes value)

  Sets the value of the takes property.

  Parameters:
    `value` - allowed object is `Takes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.